Subject: Re: bug#22342: Infinite loop when GUILE_FOR_BUILD == guile

From: Andy Wingo <[email-masked]>
Date: Sun, 07 Aug 2016 13:29:45 +0200

Fixed in master; we capture the full path to GUILE_FOR_BUILD.  Cheers :)

Andy

On Sun 10 Jan 2016 21:28, Peter TB Brett <[email-masked]> writes:

> I ran across an interesting problem while cross-compiling Guile 2.0.11
> with MinGW.
>
> "GEN guile-procedures.texi" sat in an infinite loop, due to meta/guile
> exec-ing itself in a tight loop.
>
> This was because I had set GUILE_FOR_BUILD to "guile" in my configure
> invocation.  In the uninstalled_env environment, "guile" is
> "meta/guile", not my installed version of guile in my PATH.
>
> It might be helpful for configure to insist that GUILE_FOR_BUILD is an
> absolute path in order to avoid this happening to other naive
> cross-compiling users!
>
>                                   Peter